# Introduction

All participants in TileDB spaces are expected to adhere to high standards of
professionalism in all interactions. These standards include, but are not
limited to, the specific behaviors outlined below. Upholding these standards
is fundamental to our commitment to create a welcoming, positive, and
inclusive environment for everyone. We as contributors and maintainers
pledge to making participation in our project and our community a
harassment-free experience for everyone, regardless of age, body
size, disability, ethnicity, gender identity and expression, level
of experience, nationality, personal appearance, race, religion, or
sexual identity and orientation.


### Our Standards

Examples of behavior that contributes to creating a positive environment
include:

* Using welcoming and inclusive language
* Being respectful of differing viewpoints and experiences
* Gracefully accepting constructive criticism
* Focusing on what is best for the community
* Showing empathy towards other community members

All of these serve to help the make the project better, but also serve to make
the experience of participating in the project better as well.

Examples of unacceptable behavior by participants include:

* Sexist, racist, and other exclusionary language.
* The use of sexualized language or imagery and unwelcome sexual attention or
  advances
* Trolling, insulting/derogatory comments, and personal or political attacks
* Public or private harassment or intimidation
* Publishing others' private information, such as a physical or electronic
  address, without explicit permission
* Other conduct which could reasonably be considered inappropriate in a
  professional setting

### Responsibilities

Project maintainers are responsible for maintaining, upholding, and
observing these standards.

### Reporting

Please contact [conduct@tiledb.com](conduct@tiledb.com). All code of conduct
reports will be kept in confidence.

### Attribution

This document is adapted from the [Bokeh](https://raw.githubusercontent.com/bokeh/bokeh/9844e3240aab1100d7ad2621e8b62a2597846b96/CODE_OF_CONDUCT.md)
code of conduct, which is in turn adapted from the [Contributor Covenant][homepage], version 1.4,
available at [http://contributor-covenant.org/version/1/4][version]

[homepage]: http://contributor-covenant.org
[version]: http://contributor-covenant.org/version/1/4/.